# -*- coding: utf-8 -*-
##############################################################################
# For copyright and license notices, see __openerp__.py file in module root
# directory
##############################################################################
from openerp import models, fields


class EiruBaseConfiguration(models.TransientModel):
    _name = 'eiru.base.config.settings'
    _inherit = 'res.config.settings'

    # Sale
    module_sale = fields.Boolean(
        'Instalar el modulo de ventas.',
        help="""Installs the sale module.""")

    module_asperience_sale_history = fields.Boolean(
        'Mostrar factura asociada a la venta.',
        help="""Installs the sale module.""")

    module_asperience_sale_picking_history = fields.Boolean(
        'Mostrar transferencia asociada a la venta.',
        help="""Installs the sale module.""")

    module_sale_fast_confirm = fields.Boolean(
        'Automatizar proceso de ventas.',
        help="""Installs the sale module.""")

    module_partner_extra_data_basic = fields.Boolean(
        'Activar campos extras en el formulario de clientes.',
        help="""Installs the partner_extra_data_basic module.""")

    # Point of sale Sale
    module_point_of_sale = fields.Boolean(
        'Instalar Terminal de Punto de Ventas (TPV).',
        help="""Installs the point_of_sale module.""")

    module_eiru_pos_title_change = fields.Boolean(
        'Cambiar el titulo de la pagina en la terminal de punto de ventas (TPV).',
        help="""Installs the eiru_pos_title_change module.""")

    module_multi_store_pos = fields.Boolean(
        'Activar Multi-Sucursal para Terminal de Punto de Ventas (TPV)',
        help="""Installs the multi_store_pos module.""")

    module_pos_restaurant_table_managment = fields.Boolean(
        'Administrar salones y mesas.',
        help="""Installs the pos_restaurant_table_managment module.""")

    # Purchase
    module_purchase = fields.Boolean(
        'Instalar modulo de compras.',
        help="""Installs the purchase module.""")

    module_purchase_fast_confirm = fields.Boolean(
        'Automatizar proceso de compras.',
        help="""Installs the purchase_fast_confirm module.""")

    # Finanzas 
    module_account_clean_cancelled_invoice_number = fields.Boolean(
        'Limpiar numero interno de una factura cancelada.',
        help="""Installs the account_clean_cancelled_invoice_number module.""")

    module_account_journal_active = fields.Boolean(
        'Permitir desactivar diarios.',
        help="""Installs the account_journal_active module.""")

    module_account_journal_sequence = fields.Boolean(
        'Permitir sequencia en diarios',
        help="""Installs the account_journal_sequence module.""")

    module_l10n_py = fields.Boolean(
        'Instalar contabilidad de Paraguay',
        help="""Installs the l10n_py module.""")

    module_account_bank_voucher_import = fields.Boolean(
        'Importar pagos en el registro de caja',
        help="""Installs the l10n_py module.""")
    
    module_account_bank_statement_fix = fields.Boolean(
        'Corregir problema de cierre en el registro de caja.',
        help="""Installs the account_bank_statement_fix module.""")

    module_account_cancel = fields.Boolean(
        'Permitir cancelar asientos del diario',
        help="""Installs the account_cancel module.""")

    module_account_reference = fields.Boolean(
        'Copiar la referecia de la factura en pagos',
        help="""Installs the account_reference module.""")

    module_currency_utility = fields.Boolean(
        'Campos extra en el registro de moneda',
        help="""Installs the currency_utility module.""")


    # Informes & Dashboards
    module_account_bank_statement_print = fields.Boolean(
        'Imprimir registro de caja',
        help="""Installs the account_bank_statement_print module.""")

    module_eiru_reporting = fields.Boolean(
        'Informes de EIRU',
        help="""Installs the eiru_reporting module.""")

    module_eiru_reporting_dashboard = fields.Boolean(
        'Dashboard de EIRU',
        help="""Installs the eiru_reporting_dashboard module.""")

    module_eiru_kitchen_ticket = fields.Boolean(
        'Generar ticket para la cocina (POS).',
        help="""Installs the eiru_kitchen_ticket module.""")

    module_eiru_legal_ticket = fields.Boolean(
        'Generar ticket legal de ventas (POS).',
        help="""Installs the eiru_legal_ticket module.""")

    module_eiru_small_ticket = fields.Boolean(
        'Generar ticket de ventas comprimido (POS).',
        help="""Installs the eiru_small_ticket module.""")

    module_eiru_ticket = fields.Boolean(
        'Generar ticket de ventas (POS).',
        help="""Installs the eiru_ticket module.""")

    module_eiru_bill_ticket = fields.Boolean(
        'Permitir imprimir cuenta (POS).',
        help="""Installs the eiru_bill_ticket module.""")

    # Stock
    module_stock = fields.Boolean(
        'Instalar modulo de Almacen.',
        help="""Installs the stock module.""")

    module_multi_store_stock = fields.Boolean(
        'Activar Multi-Sucursal para almacenes.',
        help="""Installs the multi_store_stock module.""")

    module_stock_display_sale_id = fields.Boolean(
        'Mostrar el ID de la venta en transferencia.',
        help="""Installs the stock_display_sale_id module.""")

    module_stock_inventory_product_categ = fields.Boolean(
        'Permitir inventario por categoria.',
        help="""Installs the stock_inventory_product_categ module.""")

    module_stock_inventory_import = fields.Boolean(
        'Permitir cargar inventario desde un archivo csv.',
        help="""Installs the stock_inventory_import module.""")

    # Usability and tools modules
    module_web_m2x_options = fields.Boolean(
        'Bloquear el crear y editar en la lineas.',
        help="""Installs the web_m2x_options module.""")

    module_web_export_view = fields.Boolean(
        'Permitir exportar vista actual a csv.',
        help="""Installs the web_export_view module.""")

    module_group_menu_no_access = fields.Boolean(
        'Restringir acceso a algunos menus del sistema.',
        help="""Installs the group_menu_no_access module.""")

    module_multi_store = fields.Boolean(
        'Activar Multi-Sucursal.',
        help="""Installs the multi_store module.""")

    module_eiru_theme = fields.Boolean(
        'Tema EIRU',
        help="""Installs the eiru_theme module.""")

    module_l10n_py_toponyms = fields.Boolean(
        'Ciudades y departamentos de paraguay.',
        help="""Installs the l10n_py_toponyms module.""")

    module_eiru_sidebar_toggler = fields.Boolean(
        'Ocultar menu lateral del sistema.',
        help="""Installs the eiru_sidebar_toggler module.""")

    module_eiru_brand = fields.Boolean(
        'Mostrar logo de la empresa.',
        help="""Installs the eiru_brand module.""")

    module_web_window_title = fields.Boolean(
        'Cambiar el titulo de la pagina',
        help="""Installs the web_window_title module.""") 

    module_stock_picking_back2draft = fields.Boolean(
        'Cambiar al estado borrador una transferencia cancelada',
        help="""Installs the stock_picking_back2draft module.""")

    module_sale_order_back2draft = fields.Boolean(
        'Cambiar al estado borrador una venta cancelada',
        help="""Installs the sale_order_back2draft module.""")

    module_fields_security = fields.Boolean(
        'Ocultar campos no utilizados en el sistema.',
        help="""Installs the fields_security module.""")

    module_smile_audit = fields.Boolean(
        'Activar Auditoria',
        help="""Installs the smile_audit module.""")

    module_eiru_num2word = fields.Boolean(
        'Convertir numeros en letras',
        help="""Installs the eiru_num2word module.""")

    # MRP
    module_mrp = fields.Boolean(
        'Instalar modulo de fabricacion.',
        help="""Installs the mrp module.""")

    module_mrp_bom_total_price = fields.Boolean(
        'Precios de costo en fabricacion.',
        help="""Installs the mrp_bom_total_price module.""")

    # Products
    module_product_pack = fields.Boolean(
        'Activar paquete de productos',
        help="""Installs the product_pack module.""")

    module_product_pack_pos = fields.Boolean(
        'Activar paquete de productos en la terminal.',
        help="""Installs the product_pack module.""")

    module_product_variant_inactive = fields.Boolean(
        'Activar y desactivar variantes de productos',
        help="""Installs the product_variant_inactive module.""")

    module_product_variant_usability = fields.Boolean(
        'Administrar variantes desde la plantilla de productos',
        help="""Installs the product_variant_usability module.""")

    module_product_variant_search_by_attribute = fields.Boolean(
        'Buscar variantes de producto por atributos',
        help="""Installs the product_variant_search_by_attribute module.""")

    module_product_uom_change_fix = fields.Boolean(
        'Cambiar unidad de medida del producto',
        help="""Installs the product_uom_change_fix module.""")

    module_product_pricelist_prices = fields.Boolean(
        'Administrar tarifas dentro de la plantilla de producto.',
        help="""Installs the product_uom_change_fix module.""")